2017-12-06 42 views
8

Tam OS güncellemesinden sonra uygulamanın yeni sürümünü appstore'a yükleyemiyorum. Java sürüm 9+ ve 8+'yi yüklemeyi deneyin, işe yaramıyor. BuradaiOS uygulamasını AppStore'a yükleyin (App Store'a yükleme sırasında bir hata oluştu.)

java.lang.reflect.InvocationTargetException 
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) 
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) 
    at java.lang.reflect.Method.invoke(Method.java:498) 
    at com.apple.transporter.launcher.Application.start(Application.java:206) 
    at com.apple.transporter.launcher.Application.main(Application.java:519) 
Caused by: java.lang.IllegalStateException: could not find needed OSGiFramework 
    at com.apple.transporter.osgi.BootstrapHelper.setupClassLoader(BootstrapHelper.java:120) 
    at com.apple.transporter.osgi.FelixOSGiBootstrapper.bootstrap(FelixOSGiBootstrapper.java:9) 

XCode 9.2, java versiyonu "1.8.0_151"

+0

Aynı pazartesi de bugün iyi çalışıyor ama. –

+0

Hangi işletim sistemine yükseltme yaptınız? 10.13.2 Yüksek Sierra? Veya başka bir şey? – jwpfox

cevap

10

aynı hata: Uygulama Yükleyici ben bu günlüğü olsun. XCode (9.2) ve java (9.0.1).

Bu komut satırı benim sorunu çözmek: Burada

rm -R ~/.itmstransporter 

Selamlar

+0

Benim için çalışın. Ayrıca, xCode 9 nedeniyle varlıklar dosyasında eksik 2 simge vardı. Bu 2 ikonun ve yukarıdaki komutların eklenmesi benim için çalıştı. –

İlgili konular